exports.DEFAULT_FUNCTION_NAMES = {
  gettext: ['msgid'],
  dgettext: ['domain', 'msgid'],
  ngettext: ['msgid', 'msgid_plural', 'count'],
  dngettext: ['domain', 'msgid', 'msgid_plural', 'count'],
  pgettext: ['msgctxt', 'msgid'],
  dpgettext: ['domain', 'msgctxt', 'msgid'],
  npgettext: ['msgctxt', 'msgid', 'msgid_plural', 'count'],
  dnpgettext: ['domain', 'msgctxt', 'msgid', 'msgid_plural', 'count']
}

exports.DEFAULT_HEADERS = {
  'project-id-version': 'PACKAGE VERSION',
  'language-team': 'LANGUAGE <LL@li.org>',
  'po-revision-date': 'YEAR-MO-DA HO:MI+ZONE',
  'language': '',
  'mime-version': '1.0',
  'content-type': 'text/plain; charset=UTF-8',
  'content-transfer-encoding': '8bit',
  'plural-forms': 'nplurals = 2; plural = (n !== 1);'
}

// https://github.com/babel/babel/blob/master/packages/babel/src/transformation/transformers/index.js
exports.BABEL_FEATURES = [
  'minification.constantFolding',
  'strict',
  'eval',
  '_validation',
  '_hoistDirectives',
  'minification.removeDebugger',
  'minification.removeConsole',
  'utility.inlineEnvironmentVariables',
  'minification.deadCodeElimination',
  '_modules',
  'react.displayName',
  'es6.spec.modules',
  'es6.spec.arrowFunctions',
  'es6.spec.templateLiterals',
  'es6.templateLiterals',
  'es6.literals',
  'validation.undeclaredVariableCheck',
  'spec.functionName',
  'es7.classProperties',
  'es7.trailingFunctionCommas',
  'es7.asyncFunctions',
  'es7.decorators',
  'validation.react',
  'es6.arrowFunctions',
  'spec.blockScopedFunctions',
  'optimisation.react.constantElements',
  'optimisation.react.inlineElements',
  'es7.comprehensions',
  'es6.classes',
  'asyncToGenerator',
  'bluebirdCoroutines',
  'es6.objectSuper',
  'es7.objectRestSpread',
  'es7.exponentiationOperator',
  'es5.properties.mutators',
  'es6.properties.shorthand',
  'es6.properties.computed',
  'optimisation.flow.forOf',
  'es6.forOf',
  'es6.regex.sticky',
  'es6.regex.unicode',
  'es6.constants',
  'es7.exportExtensions',
  'spec.protoToAssign',
  'es7.doExpressions',
  'es6.spec.symbols',
  'es7.functionBind',
  'spec.undefinedToVoid',
  'es6.spread',
  'es6.parameters',
  'es6.destructuring',
  'es6.blockScoping',
  'es6.spec.blockScoping',
  'reactCompat',
  'react',
  'regenerator',
  'runtime',
  'es6.modules',
  '_moduleFormatter',
  'es6.tailCall',
  '_shadowFunctions',
  'es3.propertyLiterals',
  'es3.memberExpressionLiterals',
  'minification.memberExpressionLiterals',
  'minification.propertyLiterals',
  '_blockHoist',
  'jscript',
  'flow',
  'optimisation.modules.system'
]
